DROP TABLE IF EXISTS `t_calculation_formula`;

CREATE TABLE `t_calculation_formula`  (
  `ID` int(0) NOT NULL AUTO_INCREMENT,
  `TYPE` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公式类型',
  `ORDER_NO` int(0) NULL DEFAULT NULL COMMENT '公式执行顺序',
  `FORMULA` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公式内容',
  `PROVINCE` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '省调',
  `ELECTRIC_TYPE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '场站类型（风、光）',
  `STATION_CODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场站编码',
  `RULE_FORMULA` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '细则对应的公式',
  `IS_RATE` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否为百分比： 0 非百分比    1 百分比',
  `MAX_MIN_LIMIT` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否限定结果最小最大值为[0,1]   0:不限制 1:限制',
  `STATE` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态： 0 失效    1 有效',
  `DATA_SOURCE_TYPE` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成文件的类型\r\nE278：浙江上午短期(新)\r\nE279：浙江下午短期(新)\r\nE280：浙江超短期(新)\r\n',
  `HOW_MANY_DAYS` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '获取提前几天生成的数据',
  `CREATE_TIME` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `CREATOR` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `LAST_MODIFIER` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改时间',
  `LAST_MODIFY_TIME` datetime NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
